#pragma once

#define GLFW_INCLUDE_NONE
#include <GLFW/glfw3.h>

class IInputComponent
{
public:
	IInputComponent(GLFWwindow* Window) : Window(Window) {};
	virtual ~IInputComponent() {};
	virtual void Update(float DeltaTime) = 0;
protected:
	GLFWwindow* Window;
};